/* $Id: DefaultMouseMode.java 340 2011-09-07 03:48:05Z shayashi $ */
/*
 * 作成日: 2006/06/23
 *
 */
package sml_editor.swingui.mouse_state;

import java.awt.Cursor;
import java.awt.event.MouseEvent;
import org.w3c.dom.Node;

import sml_editor.swingui.EditorTextPane;



/**
 * @author kazuaki kobayashi
 *
 * 
*/
public class DefaultMouseMode extends MouseMode{
	
	private static DefaultMouseMode singleton = new DefaultMouseMode();
	
	public static DefaultMouseMode getInstance(){
		return singleton;
	}
	
	public void mouseClicked(MouseEvent e, EditorTextPane textPane) {
		super.mouseClicked(e, textPane);
	}

	public void mouseMoved(MouseEvent e,EditorTextPane textPane) {
		textPane.mouseMoved(e);
/*		int pos = textPane.getGSHTMLEditorTextPane().viewToModel(e.getPoint());
		Node node = textPane.getGSHTMLEditorTextPane().getSelectedSegment(pos);
		if(node != null){
			textPane.setCursor(new Cursor(Cursor.HAND_CURSOR));
		}
		else{
			textPane.setCursor((new Cursor(Cursor.DEFAULT_CURSOR)));
		}*/
	}
}
